org.apache.hadoop.mapreduce.v2.proto

## Class MRServiceProtos.FailTaskAttemptRequestProto

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.FailTaskAttemptRequestProto

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, MRServiceProtos.FailTaskAttemptRequestProtoOrBuilder
  Enclosing class:
    MRServiceProtos

      public static final class MRServiceProtos.FailTaskAttemptRequestProto
      extends com.google.protobuf.GeneratedMessage
      implements MRServiceProtos.FailTaskAttemptRequestProtoOrBuilder

  Protobuf type `hadoop.mapreduce.FailTaskAttemptRequestProto`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MRServiceProtos.FailTaskAttemptRequestProto.Builder` Protobuf type `hadoop.mapreduce.FailTaskAttemptRequestProto`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.protobuf.Parser<MRServiceProtos.FailTaskAttemptRequestProto>` | `PARSER`
    `static int` | `TASK_ATTEMPT_ID_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static MRServiceProtos.FailTaskAttemptRequestProto` | `getDefaultInstance()`
    `MRServiceProtos.FailTaskAttemptRequestProto` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Parser<MRServiceProtos.FailTaskAttemptRequestProto>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `MRProtos.TaskAttemptIdProto` | `getTaskAttemptId()` `optional .hadoop.mapreduce.TaskAttemptIdProto task_attempt_id = 1;`
    `MRProtos.TaskAttemptIdProtoOrBuilder` | `getTaskAttemptIdOrBuilder()` `optional .hadoop.mapreduce.TaskAttemptIdProto task_attempt_id = 1;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `int` | `hashCode()`
    `boolean` | `hasTaskAttemptId()` `optional .hadoop.mapreduce.TaskAttemptIdProto task_attempt_id = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static MRServiceProtos.FailTaskAttemptRequestProto.Builder` | `newBuilder()`
    `static MRServiceProtos.FailTaskAttemptRequestProto.Builder` | `newBuilder(MRServiceProtos.FailTaskAttemptRequestProto prototype)`
    `MRServiceProtos.FailTaskAttemptRequestProto.Builder` | `newBuilderForType()`
    `protected MRServiceProtos.FailTaskAttemptRequestProto.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static MRServiceProtos.FailTaskAttemptRequestProto` | `parseDelimitedFrom(InputStream input)`
    `static MRServiceProtos.FailTaskAttemptRequestProto` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static MRServiceProtos.FailTaskAttemptRequestProto` | `parseFrom(byte[] data)`
    `static MRServiceProtos.FailTaskAttemptRequestProto` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static MRServiceProtos.FailTaskAttemptRequestProto` | `parseFrom(com.google.protobuf.ByteString data)`
    `static MRServiceProtos.FailTaskAttemptRequestProto` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static MRServiceProtos.FailTaskAttemptRequestProto` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static MRServiceProtos.FailTaskAttemptRequestProto` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static MRServiceProtos.FailTaskAttemptRequestProto` | `parseFrom(InputStream input)`
    `static MRServiceProtos.FailTaskAttemptRequestProto` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `MRServiceProtos.FailTaskAttemptRequestProto.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<MRServiceProtos.FailTaskAttemptRequestProto> PARSER

    - #### TASK_ATTEMPT_ID_FIELD_NUMBER

          public static final int TASK_ATTEMPT_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static MRServiceProtos.FailTaskAttemptRequestProto getDefaultInstance()

    - #### getDefaultInstanceForType

          public MRServiceProtos.FailTaskAttemptRequestProto getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<MRServiceProtos.FailTaskAttemptRequestProto> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasTaskAttemptId

          public boolean hasTaskAttemptId()

      `optional .hadoop.mapreduce.TaskAttemptIdProto task_attempt_id = 1;`
      Specified by:
        `hasTaskAttemptId` in interface `MRServiceProtos.FailTaskAttemptRequestProtoOrBuilder`

    - #### getTaskAttemptId

          public MRProtos.TaskAttemptIdProto getTaskAttemptId()

      `optional .hadoop.mapreduce.TaskAttemptIdProto task_attempt_id = 1;`
      Specified by:
        `getTaskAttemptId` in interface `MRServiceProtos.FailTaskAttemptRequestProtoOrBuilder`

    - #### getTaskAttemptIdOrBuilder

          public MRProtos.TaskAttemptIdProtoOrBuilder getTaskAttemptIdOrBuilder()

      `optional .hadoop.mapreduce.TaskAttemptIdProto task_attempt_id = 1;`
      Specified by:
        `getTaskAttemptIdOrBuilder` in interface `MRServiceProtos.FailTaskAttemptRequestProtoOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static MRServiceProtos.FailTaskAttemptRequestProto parseFrom(com.google.protobuf.ByteString data)
                                                                       throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static MRServiceProtos.FailTaskAttemptRequestProto parseFrom(com.google.protobuf.ByteString data,
                                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                       throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static MRServiceProtos.FailTaskAttemptRequestProto parseFrom(byte[] data)
                                                                       throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static MRServiceProtos.FailTaskAttemptRequestProto parseFrom(byte[] data,
                                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                       throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static MRServiceProtos.FailTaskAttemptRequestProto parseFrom(InputStream input)
                                                                       throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static MRServiceProtos.FailTaskAttemptRequestProto parseFrom(InputStream input,
                                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                       throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static MRServiceProtos.FailTaskAttemptRequestProto parseDelimitedFrom(InputStream input)
                                                                                throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static MRServiceProtos.FailTaskAttemptRequestProto parseDelimitedFrom(InputStream input,
                                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static MRServiceProtos.FailTaskAttemptRequestProto parseFrom(com.google.protobuf.CodedInputStream input)
                                                                       throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static MRServiceProtos.FailTaskAttemptRequestProto parseFrom(com.google.protobuf.CodedInputStream input,
                                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                       throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static MRServiceProtos.FailTaskAttemptRequestProto.Builder newBuilder()

    - #### newBuilderForType

          public MRServiceProtos.FailTaskAttemptRequestProto.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static MRServiceProtos.FailTaskAttemptRequestProto.Builder newBuilder(MRServiceProtos.FailTaskAttemptRequestProto prototype)

    - #### toBuilder

          public MRServiceProtos.FailTaskAttemptRequestProto.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected MRServiceProtos.FailTaskAttemptRequestProto.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.